name: TabCleaner
version: 1.0-SNAPSHOT
main: tk.tropicaldan.tabcleaner.TabCleaner
api-version: 1.13
prefix: TC
authors: [TropicalShadow]
description: Help Keep Tab Clean
website: tropicaldan.tk
commands:
  tabRanks:
    description: "Displays all current tab ranks"
    usage: "/<command>"
    permission: tropicalplugin.tab.viewranks
    permission-message: "You need tropicalplugin.viewranks"
  tabreload:
    description: "Reload configs for tabcleaner"
    usage: "/<command>"
    permission: tropicalplugin.tab.dev
    permission-message: "You Need tropicalplugin.dev permission"
  tabcleaner:
    aliases:
      - tc
    description: "Main root command for tabcleaner plugin"
    permission: tropicalplugin.tab.Modifier
    permission-message: "You don't have the tropicalplugin.tabModifier permission"
    usage: |
      "/<command> (add|set|remove) (group|player)"
      "/<command> (add) (group|player) [groupName|playerName]"
      "/<command> (set) (group) [group] (rank|prefix|name) value"
      "/<command> (set) (player) [player] (group) [group]"
      "/<command> (remove) (group|player)"
permissions:
  tropicalplugin.tab.*:
    description: "Give Access To Every Permission"
    default: op
    children:
      tropicalplugin.tab.dev: true
  tropicalplugin.tab.dev:
    default: op
    description: "Give access to developer permissions"
    children:
      tropicalplugin.tab.viewranks: true
      tropicalplugin.tab.Modifier: true
  tropicalplugin.tab.Modifier:
    default: op
    description: "Give access to /tabcleaner & /tc"

  tropicalplugin.tab.viewranks:
    description: "gives access to /tabranks command to view all ranks"
    default: true